<?php

namespace Teknisa\MAN\Services\AppsIntegrations\Factory;

use Teknisa\MAN\Services\AppsIntegrations\Apps\IAppService;
use Teknisa\MAN\Services\AppsIntegrations\Apps\IFood;
use Zeedhi\Framework\DependencyInjection\InstanceManager;

abstract class AppFactory {
    public static function getAppService($IDINTEGRACAO) {
        if($IDINTEGRACAO === AppConsts::IFOOD_ID) {
            return  self::getService(
                        InstanceManager::getInstance()->getService('Teknisa\MAN\Services\AppsIntegrations\Apps\IFood')
                    );
        } else {
            throw new NoAppFound();
        }
    }
    
    public static function getService(IAppService $service) {
        return $service;
    }
}